package com.artfess.cqxy.statistics.dao;

import com.artfess.cqxy.projectManagement.model.ProjectManagement;
import com.artfess.cqxy.statistics.vo.ProjectProgressVo;
import com.artfess.cqxy.statistics.vo.StartCountVo;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import org.apache.ibatis.annotations.Param;


/**
 * @Description:
 * @Author: Rong Tao
 * @Date: 2022/7/27 13:33
 */
public interface NewStatisticsDao extends BaseMapper<ProjectManagement> {
    String getBasicInformation(@Param(Constants.WRAPPER) Wrapper<ProjectManagement> convert2Wrapper);
    String getStartCount(@Param(Constants.WRAPPER) Wrapper<ProjectManagement> convert2Wrapper);
    String getStartCount2(@Param(Constants.WRAPPER) Wrapper<ProjectManagement> convert2Wrapper);
    String getSumInvestment(@Param(Constants.WRAPPER) Wrapper<ProjectManagement> convert2Wrapper);
    String getSumPayment(@Param(Constants.WRAPPER) Wrapper<ProjectManagement> convert2Wrapper);
    String getSumContractMoney(@Param(Constants.WRAPPER) Wrapper<ProjectManagement> convert2Wrapper);
    String getCountContractNum(@Param(Constants.WRAPPER) Wrapper<ProjectManagement> convert2Wrapper);
    String getNowInvestment(@Param(Constants.WRAPPER) Wrapper<ProjectManagement> convert2Wrapper);
    String haveNowInvestment(@Param(Constants.WRAPPER) Wrapper<ProjectManagement> convert2Wrapper);
    String havePayment(@Param(Constants.WRAPPER) Wrapper<ProjectManagement> convert2Wrapper);
    String haveContract(@Param(Constants.WRAPPER) Wrapper<ProjectManagement> convert2Wrapper);
}
